Download it now!
Bug 50875 - SVG filter does not work under Windows 2000
Summary: SVG filter does not work under Windows 2000
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
3.6.0.0.alpha1
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2012-06-08 02:35 UTC by Andras Timar
Modified: 2013-05-13 11:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2012-06-08 02:35:14 UTC
Symptoms:
1. New about box is rendered incorrectly. In cui/source/dialogs/about.cxx vcl::RenderGraphicRasterizer aRasterizerBackground = Application::LoadBrandSVG("shell/about"); returns dimension of (0,0) under Windows 2000. Later we calculate width/height, and use that NaN for further calculations.

2. Insert - Picture - From file, choose any svg file. A message box appears: Graphics filter not found.
Comment 1 Tobias Burnus 2012-06-13 08:26:09 UTC
I wonder whether that's related to bug 50975. (Segfault on CentOS in the about dialog and when trying to include a .svg image.)
Comment 2 Michael Meeks 2012-07-12 15:45:43 UTC
I believe we don't have an SVG background there anymore in 3.6 - is there still an issue with the about box ? (going to re-introduce this soon though I guess).
Comment 3 Andras Timar 2012-07-12 16:06:22 UTC
LibreOffice logo is still in svg. The symptom is a bit different now, it used to be a small (2x2 pixel) window, now it has normal width but the height is 0. Only window title bar is visible.
Comment 4 Michael Meeks 2012-07-13 13:57:43 UTC
But - interestingly it works just fine under Windows XP (at least for me) - very strange. I guess we'd need a debugger hooked up / some exception catching / stracing goodness there.
Comment 5 Jan Holesovsky 2012-07-16 16:13:22 UTC
I've fixed the NaN recently (added a bit of error handling) to survive the case when the svg cannot be loaded; in that case, we present an About dialog without any graphics.

Why the SVG loading fails in some cases, that's still to be debugged.
Comment 6 Andras Timar 2013-05-13 11:21:35 UTC
Windows 2000 is not supported any more.